#!/bin/sh

DIRECTORY=$1
PROJECT=$2
BUNDLE=$PROJECT/$PROJECT.wsproj
PLIST=$BUNDLE/Contents/info.plist

cd $DIRECTORY

# create the bundle
if ! [ -e $PROJECT ] 
then
	
	# project folder
	mkdir $PROJECT
	mkdir $PROJECT/Sources
	mkdir $PROJECT/Resources
	
	# project bundle
	mkdir $BUNDLE	
	mkdir $BUNDLE/Contents
	mkdir $BUNDLE/Contents/MacOS
	mkdir $BUNDLE/Contents/Resources
	mkdir $BUNDLE/Contents/Resources/Data
	mkdir $BUNDLE/Contents/Resources/Preferences
	
	# data files
	echo '' >$BUNDLE/Contents/Resources/Preferences/project.plist
	
	# Create Info.plist.
	echo '<?xml version="1.0" encoding="UTF-8"?>' >$PLIST
	echo '<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">' >>$PLIST
	echo '<plist version="1.0">' >>$PLIST
	echo '<dict>' >>$PLIST
	echo '  <key>CFBundleDisplayName</key>' >>$PLIST
	echo '  <string>'$PROJECT'</string>' >>$PLIST
	echo '  <key>CFBundleIconFile</key>' >>$PLIST
	echo '  <string>project.icns</string>' >>$PLIST
	echo '  <key>CFBundleIdentifier</key>' >>$PLIST
	echo '  <string>com.company.application</string>' >>$PLIST
	echo '  <key>CFBundleInfoDictionaryVersion</key>' >>$PLIST
	echo '  <string>6.0</string>' >>$PLIST
	echo '  <key>CFBundlePackageType</key>' >>$PLIST
	echo '  <string>BNDL</string>' >>$PLIST
	echo '  <key>CFBundleSignature</key>' >>$PLIST
	echo '  <string>????</string>' >>$PLIST
	echo '  <key>CFBundleVersion</key>' >>$PLIST
	echo '  <string>1.0</string>' >>$PLIST
	echo '</dict>' >>$PLIST
	echo '</plist>' >>$PLIST
fi